; Genius HorizonOS
; Version 0.0.5 Alpha - 2
; Genius HorizonOS include file
; All rights reserved for Mohamed Salah El-Din Abu Musalim Elghamry
; Copyright (c) Mohamed Salah El-Din Abu Musalim Elghamry 2012
; See "GHOS API List.txt" for more info about the API calls

%ifndef __GHOS_INC_INCLUDED__
%define __GHOS_INC_INCLUDED__

; Passing the API call index must be in EAX then call int 0x3C

; API calls
%define API_TerminateProcess    1
%define API_PutString           2
%define API_DisCmdPrmpt         3
%define API_EnCmdPrmpt          4
%define API_SetPOSXY            5
%define API_GetX                6
%define API_GetY                7
%define API_SetForeColor        8
%define API_SetBackColor        9
%define API_GetForeColor		10
%define API_GetBackColor		11
%define API_PrintFrmtdString    12
%define API_ClearScreen         13

; Errors
%define Error_InvalidAPICall    -23
%define Error_CmdPrmptNA        -24

; API services
%define GHOS_APIService			0x3C

;Colors
%define Color_Black					0x00
%define Color_Blue					0x01
%define Color_Green					0x02
%define Color_Cyan					0x03
%define Color_Red					0x04
%define Color_Magenta				0x05
%define Color_Brown					0x06
%define Color_Light_Gray			0x07
%define Color_Dark_Gray				0x08
%define Color_Light_Blue			0x09
%define Color_Light_Green			0x0A
%define Color_Light_Cyan			0x0B
%define Color_Light_Red				0x0C
%define Color_Light_Magenta			0x0D
%define Color_Light_Brown			0x0E
%define Color_White					0x0F

%define Color_Error 	Color_Light_Red
%define Color_Result    Color_Light_Cyan

%endif


